LocalFileSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.LocalFileSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface LocalFileSystem

All Superinterfaces:
  CIMSystem, FileSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  OpenVmsFileSystem, SolarisFileSystem, UnixFileSystem, WindowsFileSystem

    public interface LocalFileSystem

extends FileSystem

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.FileSystem
`IBM_COPYRIGHT`

Method Summary
`StorageExtent` | `getStorageExtent()` The StorageExtent (e.g.
`boolean` | `hasStorageExtent()`
`void` | `setStorageExtent(StorageExtent extent)`

Methods inherited from interface com.collation.platform.model.topology.sys.FileSystem
`getAvailableSpace, getCapacity, getInheritedFileSystem, getMountedFileSystem, getMountPoint, getParent, getType, hasAvailableSpace, hasCapacity, hasInheritedFileSystem, hasMountedFileSystem, hasMountPoint, hasParent, hasType, setAvailableSpace, setCapacity, setInheritedFileSystem, setMountedFileSystem, setMountPoint, setParent, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStorageExtent

    StorageExtent getStorageExtent()
                                   throws AttributeNotSetException

  The StorageExtent (e.g. DiskPartition) that this FileSystem is based on

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.StoredOn" reverse="false"

### setStorageExtent

    void setStorageExtent(StorageExtent extent)

### hasStorageExtent

    boolean hasStorageExtent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD